
  // Component JsInstance 不可删除
  import { Component, JsInstance } from 'davinci-js'

  // 类名就是文件名，不可修改
  class CarrierNoticeDriver extends Component {

    constructor(props) {
      super(props) // 不可删除或修改

      this.state = {
        list: []
      }
    }

    // 挂载前
    willMount () {}

    // 挂载成功
    didMount() {
      this.requestData();
    }

    //请求数据
    requestData() {
      const { cargoId, dialogType } = this.props;
      // console.log(`cargoId = ${cargoId}, type = ${dialogType}`);
      // if (!cargoId) {
      //   return;
      // }
      // Davinci.Utils.showLoading({ message: '加载中' });
      Davinci.bridge({
        module: "app",
        business: "base",
        method: "request",
        params: {
          url: "https://qa-yapi.amh-group.com/mock/2124/carrierNotice_mock",
          data: {
            // cargoId,
            // dialogType
          }
        }
      }, res => {
        // Davinci.Utils.hideLoading({});
        if (res?.data?.data) {
          if (res?.data?.data?.data?.carrierNoticeList?.length) {
            this.showView('carrier_notice_container', true);
          }
          this.setState({
            ...res?.data?.data?.data,
          });
        } else {
          Davinci.Utils.toast({ tips: res?.data?.reason || '网络请求失败' });
        }
      })
    }

    showView(viewId, visible) {
      Davinci.executeAction({
        viewModelContext: this.props.componentId,
        action: `daVinci: eventType=display&visible=${visible}&id=${viewId}`
      }, (res) => {
      })
    }
    
    // 卸载前
    willUnMount () {}

  }

  // 注册方法，不可删除或修改
JsInstance.register('carrier_notice_driver', CarrierNoticeDriver)
