import Davinci from "davinci-js"

// 打开路由
export function OpenSchema (url, delay = 0)  {
  if (url) {
    return new Promise ((resolve, reject) => {
      Davinci.bridge({
        module: 'app',
        business: 'base',
        method: 'openSchema',
        params: {
          url: url,
          delay: delay
        }
      }, res => {
        // callback && callback()
        resolve(res)
      }
      )
    })
  }
 
}
// 输出日志
export function MBLog (log) {
  if (log) {
    return new Promise((resolve, reject) => {
      Davinci.bridge({
      module: 'app',
      business: 'base',
      method: 'log',
      params: {
      logContent: log
      }
      }, res =>
      resolve(res)
    )
    })
  }
 
}
// toast提示
export function MBToast(tips) {
  if (tips) {
    return new Promise((resolve, reject) => {
      Davinci.bridge({
        module: 'app',
        business: 'ui',
        method: 'toast',
        params: {
          tips
        }
      }, (res) => {
        resolve(res)
      })
    }) 
  }
}
// 复制内容至粘贴板
export function CopyContent (content) {
  return new Promise((resolve, reject) => {
    Davinci.bridge({
      module: 'app',
      business: 'pasteboard',
      method: 'copyContent',
      params:{
        content
      }
    }, res =>
      resolve(res)
    )   
  })
}

// sendEvent
export function SendEvent () {
  return new Promise ((resolve, reject) => {
    Davinci.bridge({
      module: "app",
      business: "container",
      method: "sendEvent",
     }, res => {resolve(res)})
  })
}

// startCall ios 打电话
export function StartCall () {
  return new Promise ((resolve,reject) => {
    Davinci.bridge({
      module: "app",
      business: "trade",
      method: "startCall"
    },res => resolve(res))
  })
}

//获取用户信息
export function GetUserInfo() {
  return new Promise ((resolve,reject) => {
    Davinci.bridge({
      module: "user",
      method: "getUserInfo"
    },res => resolve(res))
  })
}

// 获取长字符串
export function GetItem (key) {
  return new Promise ( (resolve, reject) => {
    Davinci.bridge({
      module: "app",
      business: "storage",
      method: "getItem",
      params: {
        key: key
      }
    },res => resolve(res))
  })
}

// 存储长字符串
export function SetItem (params) {
  return new Promise ((resolve,reject) => {
    Davinci.bridge({
      module: "app",
      business: "storage",
      method: "setItem",
      params
    },res => resolve(res))
  })
}

// 获取定位信息，当没有权限时，直接返回失败，不会进行请求权限
export function getLocationInfoWithoutPermission(params = {}) {
  return new Promise((resolve, reject) => {
    Davinci.bridge({
      module: 'app',
      business: 'geo',
      method: 'getLocationInfoWithoutPermission',
      params
    }, (res) => {
      resolve(res)
    })
  })
}
const Base ={
  OpenSchema, 
  MBLog,
  MBToast,
  CopyContent,
  SendEvent,
  StartCall,
  GetItem,
  SetItem,
  getLocationInfoWithoutPermission
}
export default Base