/* 
联系货主
区分真实号和隐私号
挂断电话或者点击关闭按钮 需弹窗
弹窗逻辑： 优先弹回单邮寄， 其次弹证件分享和满帮优选
次数限制： 回单邮寄会设置弹出次数，达到弹出次数后不再弹
回单邮寄弹起逻辑：根据用户id来决定是否弹起
点击回单邮寄跳转回单广告，并记录弹起一次
是否弹起读取已记录次数

*/
import Davinci, { Component, JsInstance, Utils } from 'davinci-js'
import { MBLog, OpenSchema, GetUserInfo, GetItem, SetItem } from './Base'
// 拨打真实号页面回来对应弹窗
export async function phoneDialogShow (certShareDialogSchema, receiptDialogSchema) {
  if (receiptDialogSchema) {
    const show =  await isDialogShowAsync(1)
    if (show) {
      OpenSchema(receiptDialogSchema)
      return
    }
  }

if (certShareDialogSchema) {
  let res = await GetItem("certificateShare")
     if (!res.data || !res.data.data) {
       return false
     }
     let value = res.data?.data?.text
     if (value == "toShow") {
     OpenSchema(certShareDialogSchema)
     }
    
}

}

// 拨打隐私号电话
export async function openSecPhone (data) {
 const {secPhone, certShareDialogSchema, receiptDialogSchema } = data
 let schema = ''
 if (receiptDialogSchema) {
  const show = await isDialogShowAsync(1)
  if (show) {
    schema = receiptDialogSchema
  }
 }

 if(!schema && certShareDialogSchema){
  const key = "certificateShare"
  let res = await GetItem(key)
  if (!res.data || !res.data.data || res.data?.data?.text == 'toShow') {
    schema = certShareDialogSchema
  }

 }
 
 openSecCall({
  openSchema: secPhone,
  callbackSchema: schema
 })
}


// 判断回单邮寄弹出次数
async function isDialogShowAsync (maxShowCountPerDay) {
  let key =  await showDialogFlagKey();
  let res = await GetItem(key)
  if (!res.data || !res.data.data) {
    return false
  }
  let value = res.data?.data?.text
  MBLog(`ReceiptMailingDisplayTime read [${key}, ${value}], max = ${maxShowCountPerDay}`);
  let showedCount = value ? Number(value) : 0;
  let show = showedCount < maxShowCountPerDay;
  return show;
}
//记录显示次数的key
async function showDialogFlagKey () {
  let key = 'ReceiptMailingDialogDisplayTime'
  const result = await GetUserInfo()
  if (result?.data.code != 0 || !result.data?.data?.userId) {
    return key;
  }
  key = `${key}-${result.data.data.userId}`
  return key;
}
// 
export async function saveShowFlagAsync() {
  let key = await this.showDialogFlagKey();
  const res = await GetItem(key)
  if (!res?.data || !res.data?.data) {
    return
  }
  let value = res.data?.data?.text
  let count = value ? Number(value) : 0
  let newCount = `${count + 1}`
  const params = {
    key: key,
    text: newCount
  }
 SetItem(params)
}
// 拨打隐私号和对应弹窗
async function openSecCall (params) {
  Davinci.bridge({
    module: "trade",
    business: "ui",
    method: "openCallAndObserveDisconnect",
    params
   },() => {})
}

// 跳转并关闭弹窗
export async function openShemaAndCloseDialog(url,componentId ) {
  const res = await Utils.appInfo()
  if (!res) return
  const data = res?.data?.data
  const {platform} = data
  if (platform == 1) {
    OpenSchema(url)
    Davinci.executeAction({
      viewModelContext: componentId,
        action: 'daVinci:eventType=finish'
      }, (res) => {
    })
      
  } else {
    OpenSchema(url, 0.25)
    Davinci.executeAction({
      viewModelContext: componentId,
        action: 'daVinci:eventType=finish'
      }, (res) => {
    })
  }
}

// 控制证件分享弹窗次数
const Contact = {
  phoneDialogShow,
  openSecPhone,
  saveShowFlagAsync,
  openShemaAndCloseDialog
}
export default Contact
