import Davinci from "davinci-js"
// 页面埋点
export function trackPageView({ pageName, referPageName, referSpm, extraDict }) {
  Davinci.bridge({
    module: 'app',
    business: 'base',
    method: 'track',
    params: {
      type: 'pageview',
      module: 'user',
      pageviewData: {
        pageName,
        referPageName,
        referSpm,
      },
      extraDict: extraDict || {},
      bundle: {
        type: 'davinci'
      }
    }
  }, res => { })


}
// 区域曝光埋点
export function trackView({ pageName, elementId, extraDict, region }) {
  Davinci.bridge({
    module: 'app',
    business: 'base',
    method: 'track',
    params: {
      type: 'exposure',
      module: 'user',
      exposureData: {
        pageName,
        elementId,
        region,
      },
      extraDict: extraDict || {},
      bundle: {
        type: 'davinci'
      }
    }
  }, res => {
  })
}

// 点击埋点
export function trackTap({ pageName, elementId, region, extraDict }) {
  Davinci.bridge({
    module: 'app',
    business: 'base',
    method: 'track',
    params: {
      type: 'click',
      module: 'user',
      clickData: {
        pageName,
        elementId,
        region
      },
      extraDict: extraDict || {},
      bundle: {
        type: 'davinci'
      }
    }
  }, res => { })
}
const Track = {
  trackPageView,
  trackView,
  trackTap
}
export default Track